
; Definitionen fr Mega8

; Belegungen der Atmel-Ports:

;*****************************************************************

;	PB0		ICP1			D4	Display	
;   PB1		OC1A			D5	Display
;   PB2		SS/OC1B			D6	Display   
;   PB3		MOSI/OC2		D7	Display    
;   PB4		MISO			
;   PB5		SCK		
;	PB6		XTAL1/TOSC1	Quarz		
;	PB7		XTAL2/TOSC2	Quarz		
				
;   PC0		SCL
;   PC1		SDA		
;   PC2		TCK			RS	Display			-> 	RW	Display an GND				
;   PC3		IMS			E	Display							
;	PC4		TDO					
;	PC5		TDI	
;	PC6		TOSC1		
;	PC7		TOSC2		

;   PD0		RxD
;   PD1		TxD
;   PD2		INT0
;   PD3		INT1
;   PD4	    XCK/T0		 
;   PD5		T1		
;   PD6		AIN0	
;   PD7		AIN1						

;*****************************************************************

;--- Allgemeines -----------------------------------------------

.equ    F_CPU           = 7372800	
.equ    CYCLES_PER_US   = ((F_CPU+500000)/1000000)

;**************************** Register-Bits **************************
;--- Display ---------------------------------------------------------

.equ	LCD_ZEILE	= 20				; Lnge einer Zeile
.equ    ZEILE_1		= $80               ; Start 1. Zeile LCD
.equ    ZEILE_2		= $C0               ; Start 2. Zeile LCD

;--- LCD-Display ---------------------------------------------------------

; LCD-Daten Bit0...Bit7, 8-Bit-Mode

.equ    LCD_OUT		= PORTB                 ; Datenport

.equ	LCD_D4		= PB0
.equ	LCD_D5		= PB1
.equ	LCD_D6		= PB2
.equ	LCD_D7		= PB3

.equ	LCD_CTRL	= PORTC

.equ    LCD_RS      = PC2                  ; Bit fr Register-Select
.equ    LCD_E       = PC3                  ; Bit fr Enable

;--- lower Register -----------------------------------------------


;--- higher Register ----------------------------------------------

.def    TEMP_A      = r16                   ; temporre  8Bit-Register
.def    TEMP_B      = r17 
.def	TEMP_C		= r18
.def	TEMP_D		= r19

; r26/r27, r28/r29, r30/r31 fr X,Y,Z reserviert 

;**************************** Ram-Reservierungen ******************

;--- Internes Ram ------------------------------------------------

.DSEG

.ORG    $060    
LCD_LINE_1:		.byte	LCD_ZEILE		; $060 - $077 Anzeige-Puffer Zeile 1 20 Byte
LCD_LINE_2:		.byte	LCD_ZEILE		; $078 - $08F Anzeige-Puffer Zeile 2 20 Byte

; $0300-$045F Stack                     ; 352 Byte...

;--- Macros -------------------------------------------------------

.macro  load_p                      ; ldt 16Bit @1 nach @0 High und @0 Low

        ldi     @0H,HIGH(@1)
        ldi     @0L,LOW(@1)

.endmacro

.macro	add_z_a

		add		ZL,TEMP_A
		clr		TEMP_A
		adc		ZH,TEMP_A

.endmacro
		
