
; ATmega8

; 0 gesetzt SUT0 -> Haken in PonyProg
; ext. Quarz 8MHz

; 02.06.2006 M'Soft Berlin

.include "m8def.inc"

.include "Definitionen.inc"

;****************************** Verktor-Liste ****************************

.CSEG
                rjmp    Reset

;****************************** Programm-Beginn **********************

;*********************************************************************
;  Initialisierungsroutine
;*********************************************************************

.org	INT_VECTORS_SIZE

; Hardware initialisieren

Reset:  ldi     TEMP_A,low(RAMEND)          ; Stack an das interne Ram-Ende
        out     SPL,TEMP_A
        ldi     TEMP_A,high(RAMEND)
        out     SPH,TEMP_A

; Port A *************************************************************


; Port B *************************************************************

		ser		TEMP_A						; alle H oder PullUp ein
		out     PORTB,TEMP_A 
		ldi		TEMP_A,(1<<LCD_D4)|(1<<LCD_D5)|(1<<LCD_D6)|(1<<LCD_D7)
		out     DDRB,TEMP_A            	    ; Ausgang Display-Daten 

; Port C *************************************************************

		ser		TEMP_A						
		out     PORTC,TEMP_A 
		out     DDRC,TEMP_A					; alles Ausgang
	
; Port D *************************************************************
		
        ldi		TEMP_A,~(1<<LCD_E)				; alle H oder PullUp ein auer LCD_E
		out     PORTD,TEMP_A                
		ldi		TEMP_A,(1<<LCD_E)|(1<<LCD_RS)	; LCD_E und LCD_RS auf Ausgang 
		out     DDRD,TEMP_A
 
;*********************************************************************				 

; Software initialisieren
						
		rcall	lcd_init						; Display initialisieren

		load_p	Z,(2*test_1)
		load_p	Y,LCD_LINE_1
		rcall	rom_ram

		load_p	Z,(2*test_2)
		load_p	Y,LCD_LINE_2
		rcall	rom_ram

		rcall	lcd_write
									 
;*********************************************************************
;  Main-Loop
;*********************************************************************

main:					

		rjmp	main
		

; --- Tasten - Auswertung -------------------------------------------

.include "Subroutinen.inc"

.include "LCD.inc"

.include "Tabellen.inc"
